SC_CHECK_SW(3)

NAME
sc_check_sw - Check return status from a card transaction

SYNOPSIS

    #include <opensc.h>
    int sc_check_sw(struct sc_card *card, int sw1, int sw2);

DESCRIPTION

This function checks the return status as given in sw1 and sw2 against the card-specific errors of card. These are set by sc_transmit_apdu() in the apdu.sw1 and apdu.sw2 fields, respectively.

The function should be called after every APDU transmission, to convert the card's status code to an OpenSC error code.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.